## lmfit-py 1.0.1

=== debian/changelog ===
lmfit-py (1.0.1-6) unstable; urgency=medium

  * Team upload

  [ Picca Frédéric-Emmanuel ]
  * Acknowledge Ole Streicher for fixing #987459

  [ Graham Inggs ]
  * Skip test_model_nan_policy and test_manypeaks_speed (Closes: #976952)

 -- Graham Inggs <ginggs@debian.org>  Thu, 06 May 2021 08:32:40 +0000

lmfit-py (1.0.1-5) unstable; urgency=medium

  * Bug fix: "python-lmfit-doc is empty", thanks to Adrian Bunk (Closes:
    #987459).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 01 May 2021 07:44:52 +0200

lmfit-py (1.0.1-4) unstable; urgency=medium

  * Bug fix: "copyright file missing (policy 12.5)", thanks to Andreas
    Beckmann (Closes: #983827).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 02 Mar 2021 11:41:36 +0100

lmfit-py (1.0.1-3) unstable; urgency=medium

  * d/patches/python3.9.patch: Fix test that fails under Python 3.9 because a
    module name changed. (Closes: #972604)
  * d/control: Add myself to Uploaders.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 22 Oct 2020 08:34:34 +1300

lmfit-py (1.0.1-2) unstable; urgency=medium

  * Do not build the doc for now
  * d/control: Removed jupyter-sphinx as Build-Depends.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 08 Sep 2020 14:50:54 +0200

lmfit-py (1.0.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 1.0.1
  * d/control: Added Rules-Requires-Root: no
  * d/control: Standards-Verion bumped to 4.3.0 (nothing to do)
  * d/rules: examples was not meant to be installed (Closes: #947265)
  * d/rules: Build the documentation
  * d/tests/control: Now it works.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 03 Aug 2020 11:21:26 +0200

=== debian/control ===
Source: lmfit-py
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
           Michael Hudson-Doyle <mwhudson@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-asteval(>=0.9.16),
               python3-ipython <!nodoc>,
               python3-numpy,
               python3-pandas,
               python3-pytest <!nocheck>,
               python3-scipy,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-gallery <!nodoc>,
               python3-uncertainties (>= 3.0.2.github~)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/science-team/lmfit-py
Vcs-Git: https://salsa.debian.org/science-team/lmfit-py.git
Homepage: https://lmfit.github.io/lmfit-py/
Rules-Requires-Root: no

Package: python3-lmfit
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-lmfit-doc
Description: Least-Squares Minimization with Constraints (Python 3)
 The lmfit Python package provides a simple, flexible interface to
 non-linear optimization or curve fitting problems. The package
 extends the optimization capabilities of scipy.optimize by replacing
 floating pointing values for the variables to be optimized with
 Parameter objects. These Parameters can be fixed or varied, have
 upper and/or lower bounds placed on its value, or written as an
 algebraic expression of other Parameters.
 .
 The principal advantage of using Parameters instead of simple
 variables is that the objective function does not have to be
 rewritten to reflect every change of what is varied in the fit, or
 what relationships or constraints are placed on the Parameters. This
 means a scientific programmer can write a general model that
 encapsulates the phenomenon to be optimized, and then allow user of
 that model to change what is varied and fixed, what range of values
 is acceptable for Parameters, and what constraints are placed on the
 model. The ease with which the model can be changed also allows one
 to easily test the significance of certain Parameters in a fitting
 model.
 .
 The lmfit package allows a choice of several optimization methods
 available from scipy.optimize. The default, and by far best tested
 optimization method used is the Levenberg-Marquardt algorithm from
 MINPACK-1 as implemented in scipy.optimize.leastsq. This method
 is by far the most tested and best support method in lmfit, and much
 of this document assumes this algorithm is used unless explicitly
 stated. An important point for many scientific analysis is that this
 is only method that automatically estimates uncertainties and
 correlations between fitted variables from the covariance matrix
 calculated during the fit.
 .
 A few other optimization routines are also supported, including
 Nelder-Mead simplex downhill, Powell's method, COBYLA, Sequential
 Least Squares methods as implemented in scipy.optimize.fmin, and
 several others from scipy.optimize. In their native form, some of
 these methods setting allow upper or lower bounds on parameter
 variables, or adding constraints on fitted variables. By using
 Parameter objects, lmfit allows bounds and constraints for all of
 these methods, and makes it easy to swap between methods without
 hanging the objective function or set of Parameters.
 .
 Finally, because the approach derived from MINPACK-1 usin the
 covariance matrix to determine uncertainties is sometimes questioned
 (and sometimes rightly so), lmfit supports methods to do a brute
 force search of the confidence intervals and correlations for sets of
 parameters.
 .
 This is the Python 3 version of the package.

Package: python-lmfit-doc
Architecture: all
Section: doc
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Least-Squares Minimization with Constraints (Documentation)
 The lmfit Python package provides a simple, flexible interface to
 non-linear optimization or curve fitting problems. The package
 extends the optimization capabilities of scipy.optimize by replacing
 floating pointing values for the variables to be optimized with
 Parameter objects. These Parameters can be fixed or varied, have
 upper and/or lower bounds placed on its value, or written as an
 algebraic expression of other Parameters.
 .
 The principal advantage of using Parameters instead of simple
 variables is that the objective function does not have to be
 rewritten to reflect every change of what is varied in the fit, or
 what relationships or constraints are placed on the Parameters. This
 means a scientific programmer can write a general model that
 encapsulates the phenomenon to be optimized, and then allow user of
 that model to change what is varied and fixed, what range of values
 is acceptable for Parameters, and what constraints are placed on the
 model. The ease with which the model can be changed also allows one
 to easily test the significance of certain Parameters in a fitting
 model.
 .
 The lmfit package allows a choice of several optimization methods
 available from scipy.optimize. The default, and by far best tested
 optimization method used is the Levenberg-Marquardt algorithm from
 MINPACK-1 as implemented in scipy.optimize.leastsq. This method
 is by far the most tested and best support method in lmfit, and much
 of this document assumes this algorithm is used unless explicitly
 stated. An important point for many scientific analysis is that this
 is only method that automatically estimates uncertainties and
 correlations between fitted variables from the covariance matrix
 calculated during the fit.
 .
 A few other optimization routines are also supported, including
 Nelder-Mead simplex downhill, Powell's method, COBYLA, Sequential
 Least Squares methods as implemented in scipy.optimize.fmin, and
 several others from scipy.optimize. In their native form, some of
 these methods setting allow upper or lower bounds on parameter
 variables, or adding constraints on fitted variables. By using
 Parameter objects, lmfit allows bounds and constraints for all of
 these methods, and makes it easy to swap between methods without
 hanging the objective function or set of Parameters.
 .
 Finally, because the approach derived from MINPACK-1 usin the
 covariance matrix to determine uncertainties is sometimes questioned
 (and sometimes rightly so), lmfit supports methods to do a brute
 force search of the confidence intervals and correlations for sets of
 parameters.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

## Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=lmfit
export PYBUILD_TEST_ARGS=-k 'not speed and not test_model_nan_policy'

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	dh_numpy3

override_dh_auto_test: export PYBUILD_BEFORE_TEST=cp -r NIST_STRD examples {build_dir}
override_dh_auto_test: export PYBUILD_AFTER_TEST=rm -fr {build_dir}/NIST_STRD {build_dir}/examples; find {build_dir} -name "*.sav" -delete
override_dh_auto_test:
	dh_auto_test

override_dh_installdocs-indep:
	PYTHONPATH=. http_proxy='localhost' python3 -m sphinx -N -bhtml -D mathjax_path="/usr/share/javascript/mathjax/MathJax.js" doc/ build/html  # HTML generator
	dh_installdocs -i
	dh_installdocs build/html -p python-lmfit-doc --doc-main-package=python3-lmfit

=== debian/tests/control ===
Test-Command: set -efu
 ; cp -a NIST_STRD/ "$AUTOPKGTEST_TMP"
 ; cp -a tests/ "$AUTOPKGTEST_TMP"
 ; cp -a examples/ "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -s 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -ra -k 'not speed and not test_model_nan_policy'
 ; done
Depends: python3-all,
         python3-lmfit,
         python3-matplotlib,
         python3-pandas,
         python3-pytest,
         python3-scipy,
         python3-tk

## lmfit-py 1.0.2

=== requirements.txt ===
asteval>=0.9.21
numpy>=1.18
scipy>=1.3
uncertainties>=3.0.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXBUILD   = sphinx-build
SPHINX_OPTS = -W
SPHINX_DEBUGOPTS = --keep-going -n
BUILDDIR      = _build

# Internal variables.
PAPER         =
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
SPHINX_OUTPUT   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER))
ALLSPHINXOPTS   = $(SPHINX_OUTPUT) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest latexpdf htmlzip
.PHONY: all pdf gallery debug

html:  gallery
	cp sphinx/ext_mathjax.py extensions.py
	$(SPHINXBUILD) -b html $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/html
	./filter_spurious_link_from_html.py
	@echo
	@echo "html build finished: $(BUILDDIR)/html."

debug:  gallery
	cp sphinx/ext_mathjax.py extensions.py
	$(SPHINXBUILD) -b html $(SPHINX_OUTPUT) $(SPHINX_DEBUGOPTS) . $(BUILDDIR)/html
	@echo
	@echo "html build finished: $(BUILDDIR)/html."

gallery: examples/index.rst

examples/index.rst:
	./doc_examples_to_gallery.py

htmlzip: html
	cp sphinx/ext_mathjax.py extensions.py
	$(SPHINXBUILD) -b html $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/lmfit_doc
	./filter_spurious_link_from_html.py
	cd $(BUILDDIR) && zip -pur html/lmfit_doc.zip lmfit_doc

epub: gallery
	cp sphinx/ext_imgmath.py extensions.py
	$(SPHINXBUILD) -b epub  $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/epub
	mkdir -p $(BUILDDIR)/html
	cp -pr $(BUILDDIR)/epub/*.epub $(BUILDDIR)/html/.

pdf: latex
	cp sphinx/ext_imgmath.py extensions.py
	cd $(BUILDDIR)/latex && make all-pdf
	mkdir -p $(BUILDDIR)/html
	cp -pr $(BUILDDIR)/latex/lmfit.pdf $(BUILDDIR)/html/.

all: html htmlzip epub pdf

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -f extensions.py
	-rm -f *.dat *.sav *.csv
	-rm -rf examples/*
	-rm -rf ../examples/documentation

dirhtml:  gallery
	$(SPHINXBUILD) -b dirhtml $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:  gallery
	$(SPHINXBUILD) -b pickle $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:  gallery
	$(SPHINXBUILD) -b json $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:  gallery
	$(SPHINXBUILD) -b htmlhelp $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

latex: gallery
	cp sphinx/ext_imgmath.py extensions.py
	$(SPHINXBUILD) -b latex $(SPHINX_OUTPUT) $(SPHINX_OPTS) . _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

latexpdf:
	cp sphinx/ext_imgmath.py extensions.py
	$(SPHINXBUILD) -b latex $(SPHINX_OUTPUT) $(SPHINX_OPTS) . _build/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C _build/latex all-pdf
	@echo "pdflatex finished; the PDF files are in _build/latex."

changes:
	$(SPHINXBUILD) -b changes $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
lmfit-py (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * d/control:
    + Used dh-sequence-X
    + Added Build-Depends python3-sympy <!nodoc>
  * d/rules: Simplified thanks to dh-sequence-X
  * d/p/0003-upstream-fix-for-scipy-1.7.0.patch
  * Bug fix: "scipy breaks lmfit-py autopkgtest", thanks to Paul Gevers
    (Closes: #992674).
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Apply multi-arch hints.
    + python-lmfit-doc: Add Multi-Arch: foreign.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 04 Sep 2021 11:00:36 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,13 @@
            Michael Hudson-Doyle <mwhudson@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
                python3-all,
-               python3-asteval(>=0.9.16),
+               python3-asteval (>= 0.9.21),
                python3-ipython <!nodoc>,
                python3-numpy,
                python3-pandas,
@@ -16,8 +19,9 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-gallery <!nodoc>,
+               python3-sympy <!nodoc>,
                python3-uncertainties (>= 3.0.2.github~)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/lmfit-py
 Vcs-Git: https://salsa.debian.org/science-team/lmfit-py.git
 Homepage: https://lmfit.github.io/lmfit-py/
@@ -83,6 +87,7 @@
 Section: doc
 Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
+Multi-Arch: foreign
 Description: Least-Squares Minimization with Constraints (Documentation)
  The lmfit Python package provides a simple, flexible interface to
  non-linear optimization or curve fitting problems. The package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

## Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=lmfit

export PYBUILD_TEST_ARGS=-k 'not speed and not test_model_nan_policy'
export PYBUILD_BEFORE_TEST=cp -r NIST_STRD examples {build_dir}
export PYBUILD_AFTER_TEST=rm -fr {build_dir}/NIST_STRD {build_dir}/examples; find {build_dir} -name "*.sav" -delete

%:
	dh $@ --buildsystem=pybuild

override_dh_installdocs-indep:
	PYTHONPATH=. http_proxy='localhost' python3 -m sphinx -N -bhtml -D mathjax_path="/usr/share/javascript/mathjax/MathJax.js" doc/ build/html  # HTML generator
	dh_installdocs -i
	dh_installdocs build/html -p python-lmfit-doc --doc-main-package=python3-lmfit

## lmfit-py 1.1.0

=== doc/Makefile ===
--- 
+++ 
@@ -69,11 +69,12 @@
 	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
 
 clean:
-	-rm -rf $(BUILDDIR)/*
+	-rm -rf $(BUILDDIR)
 	-rm -f extensions.py
 	-rm -f *.dat *.sav *.csv
 	-rm -rf examples/*
 	-rm -rf ../examples/documentation
+	-rm -rf __pycache__
 
 dirhtml:  gallery
 	$(SPHINXBUILD) -b dirhtml $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/dirhtml

=== debian/changelog ===
lmfit-py (1.1.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-uncertainties.

  [ Drew Parsons ]
  * New upstream release. Closes: #1026737, #1027172, #1027226.
  * Build-Depends: pybuild-plugin-pyproject to use pyproject.toml
  * drop debian patches
    - 0003-upstream-fix-for-scipy-1.7.0.patch applied upstream
    - exclude_failing_test.patch, example_emcee_Model_interface.py is
      an example not a test (needs corner module to run, which is not
      packaged for debian)
  * add debian patch preserve_version.patch to prevent setuptools-scm
    from corrupting version.py
  * dh_installdocs override: prefix example_emcee_Model_interface.py
    with nodoc_ to prevent processing by sphinx (corner module is not
    available)
  * override_dh_installdocs-indep copies extensions.py manually when
    building docs (following doc/Makefile). extensions.py is longer
    shipped in upstream source tarball
  * Build-Depends: python3-pytest-cov <!nocheck>
    - execute_before_dh_python3: delete coverage (htmlcov) files from
      installation dirs (they were generated by build-time tests)
  * register html docs with doc-base
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Dec 2022 17:46:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                dh-sequence-numpy3,
                dh-sequence-python3,
                dh-sequence-sphinxdoc <!nodoc>,
@@ -15,13 +16,14 @@
                python3-numpy,
                python3-pandas,
                python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
                python3-scipy,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-gallery <!nodoc>,
                python3-sympy <!nodoc>,
-               python3-uncertainties (>= 3.0.2.github~)
-Standards-Version: 4.5.1
+               python3-uncertainties
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/lmfit-py
 Vcs-Git: https://salsa.debian.org/science-team/lmfit-py.git
 Homepage: https://lmfit.github.io/lmfit-py/

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,13 @@
 	dh $@ --buildsystem=pybuild
 
 override_dh_installdocs-indep:
-	PYTHONPATH=. http_proxy='localhost' python3 -m sphinx -N -bhtml -D mathjax_path="/usr/share/javascript/mathjax/MathJax.js" doc/ build/html  # HTML generator
+	mv examples/example_emcee_Model_interface.py examples/nodoc_example_emcee_Model_interface.py
+	cp doc/sphinx/ext_mathjax.py doc/extensions.py
+	PYTHONPATH=. http_proxy='localhost' python3 -m sphinx -N -bhtml -D mathjax_path="/usr/share/javascript/mathjax/MathJax.js" doc/ .pybuild/html  # HTML generator
+	rm doc/extensions.py
+	mv examples/nodoc_example_emcee_Model_interface.py examples/example_emcee_Model_interface.py
 	dh_installdocs -i
-	dh_installdocs build/html -p python-lmfit-doc --doc-main-package=python3-lmfit
+	dh_installdocs .pybuild/html -p python-lmfit-doc --doc-main-package=python3-lmfit
+
+execute_before_dh_python3:
+	rm -rf debian/python3-lmfit/usr/lib/python3*/dist-packages/htmlcov debian/python3-lmfit/usr/lib/python3*/dist-packages/.coverage

## lmfit-py 1.2.1

=== debian/changelog ===
lmfit-py (1.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build-Depends: python3-setuptools-scm
    - drop debian patch preserve_version.patch
    - closes: #1034585
  * update versioned Build-Depends
      python3-asteval (>= 0.9.28~),
      python3-numpy (>= 1.19~),
      python3-scipy (>= 1.6~)

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Jun 2023 01:59:46 +0200

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,15 @@
                dh-sequence-python3,
                dh-sequence-sphinxdoc <!nodoc>,
                python3-all,
-               python3-asteval (>= 0.9.21),
+               python3-asteval (>= 0.9.28~),
                python3-ipython <!nodoc>,
-               python3-numpy,
+               python3-numpy (>= 1.19~),
                python3-pandas,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
-               python3-scipy,
+               python3-scipy (>= 1.6~),
                python3-setuptools,
+               python3-setuptools-scm,
                python3-sphinx <!nodoc>,
                python3-sphinx-gallery <!nodoc>,
                python3-sympy <!nodoc>,

## lmfit-py 1.2.2

=== doc/Makefile ===
--- 
+++ 
@@ -20,13 +20,13 @@
 html:  gallery
 	cp sphinx/ext_mathjax.py extensions.py
 	$(SPHINXBUILD) -b html $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/html
-	./filter_spurious_link_from_html.py
 	@echo
 	@echo "html build finished: $(BUILDDIR)/html."
 
 debug:  gallery
 	cp sphinx/ext_mathjax.py extensions.py
 	$(SPHINXBUILD) -b html $(SPHINX_OUTPUT) $(SPHINX_DEBUGOPTS) . $(BUILDDIR)/html
+	./filter_spurious_link_from_html.py
 	@echo
 	@echo "html build finished: $(BUILDDIR)/html."

=== debian/changelog ===
lmfit-py (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * d/control: B-D Added python3-dill <!nocheck>
  * Do not hide problems and re-activated all tests.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 02 Aug 2023 12:28:11 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                dh-sequence-sphinxdoc <!nodoc>,
                python3-all,
                python3-asteval (>= 0.9.28~),
+               python3-dill <!nocheck>,
                python3-ipython <!nodoc>,
                python3-numpy (>= 1.19~),
                python3-pandas,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 export PYBUILD_NAME=lmfit
 
-export PYBUILD_TEST_ARGS=-k 'not speed and not test_model_nan_policy'
 export PYBUILD_BEFORE_TEST=cp -r NIST_STRD examples {build_dir}
 export PYBUILD_AFTER_TEST=rm -fr {build_dir}/NIST_STRD {build_dir}/examples; find {build_dir} -name "*.sav" -delete

=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  ; for py in $(py3versions -s 2>/dev/null)
  ; do cd "$AUTOPKGTEST_TMP"
  ; echo "Testing with $py:"
- ; $py -m pytest -ra -k 'not speed and not test_model_nan_policy'
+ ; $py -m pytest tests
  ; done
 Depends: python3-all,
          python3-lmfit,

## lmfit-py 1.3.2

=== debian/changelog ===
lmfit-py (1.3.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Update Standards-Version to 4.7.0 (no changes required).
  * Typo fix in doc-base file.

 -- Stuart Prescott <stuart@debian.org>  Tue, 11 Feb 2025 09:25:26 +1100

lmfit-py (1.3.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
    - numpy 2 compatibility (Closes: #1095023)
    - refresh patches
  * Cherry-pick upstream patch for compatibility with current asteval.
  * Update version constraints on packages for new upstream version.

 -- Stuart Prescott <stuart@debian.org>  Sun, 09 Feb 2025 16:14:31 +1100

lmfit-py (1.2.2-4) unstable; urgency=medium

  * Team upload.
  * Fix bad copy-paste in intersphinx mapping (Closes: #1090242)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 08 Jan 2025 12:03:40 +0100

lmfit-py (1.2.2-3) unstable; urgency=medium

  * Team upload.
  * Versioned (Build-)Depends: python3-uncertainties (>= 3.1.7-1.1~)
    Closes: #1056419, #1058311, #1057574
  * Skip a test on 32-bit archs
  * Fix clean target
    Closes: #1047368

 -- Andreas Tille <tille@debian.org>  Thu, 15 Feb 2024 21:12:51 +0100

lmfit-py (1.2.2-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * No-change reupload to today's experimental

 -- Alexandre Detiste <tchet@debian.org>  Fri, 05 Jan 2024 12:48:25 +0100

lmfit-py (1.2.2-2) unstable; urgency=medium

  * d/t/control: Added architecture !armel !armhf !i386
    The upstream do not provides support for these architectures.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 03 Aug 2023 12:31:20 +0200

=== debian/tests/control ===
Test-Command: set -efu
 ; cp -a NIST_STRD/ "$AUTOPKGTEST_TMP"
 ; cp -a tests/ "$AUTOPKGTEST_TMP"
 ; cp -a examples/ "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -s 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest tests
 ; done
Architecture: !armel !armhf !i386
Depends:
 python3-all,
 python3-lmfit,
 python3-matplotlib,
 python3-pandas,
 python3-pytest,
 python3-scipy,
 python3-tk,

## lmfit-py 1.3.3

=== debian/changelog ===
lmfit-py (1.3.3-5) unstable; urgency=medium

  * Team upload.
  * d/changelog: Fix typo in previous release.
  * d/control: Drop <!nocheck> from python3-dill. Closes: #1116783.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 20:20:00 +0200

lmfit-py (1.3.3-4) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * Do not check for reproducibility in Salsa CI.
  [ Santiago Vila ]
  * Cherry-pick two fixes from upstream:
  - Update fix-test-failure-with-new-uncertainties.patch. Closes: #1106426.
  - Do not test for the content of warning messages from upstream libraries.
    They can change.

 -- Santiago Vila <sanvila@debian.org>  Sun, 08 Jun 2025 00:50:00 +0200

lmfit-py (1.3.3-3) unstable; urgency=medium

  * Team upload.
  * Fix test failure with new uncertainties. Closes: #1106426.

 -- Santiago Vila <sanvila@debian.org>  Mon, 26 May 2025 19:45:00 +0200

lmfit-py (1.3.3-2) unstable; urgency=medium

  * Team upload.
  * skip flaky test_manypeaks_speed. Closes: #1102330

 -- Drew Parsons <dparsons@debian.org>  Thu, 24 Apr 2025 23:36:05 +0200

lmfit-py (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Fri, 28 Mar 2025 17:45:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,48 @@
 Source: lmfit-py
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
-           Michael Hudson-Doyle <mwhudson@debian.org>
+Uploaders:
+ Picca Frédéric-Emmanuel <picca@debian.org>,
+ Michael Hudson-Doyle <mwhudson@debian.org>,
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               pybuild-plugin-pyproject,
-               dh-sequence-numpy3,
-               dh-sequence-python3,
-               dh-sequence-sphinxdoc <!nodoc>,
-               python3-all,
-               python3-asteval (>= 0.9.28~),
-               python3-dill <!nocheck>,
-               python3-ipython <!nodoc>,
-               python3-numpy (>= 1.19~),
-               python3-pandas,
-               python3-pytest <!nocheck>,
-               python3-pytest-cov <!nocheck>,
-               python3-scipy (>= 1.6~),
-               python3-setuptools,
-               python3-setuptools-scm,
-               python3-sphinx <!nodoc>,
-               python3-sphinx-gallery <!nodoc>,
-               python3-sympy <!nodoc>,
-               python3-uncertainties
-Standards-Version: 4.6.2
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python,
+ dh-sequence-numpy3,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-asteval (>= 1.0~),
+ python3-dill,
+ python3-ipython <!nodoc>,
+ python3-nbsphinx <!nodoc>,
+ python3-numpy (>= 1.19~),
+ python3-pandas,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-scipy (>= 1.6~),
+ python3-setuptools,
+ python3-setuptools-scm,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-gallery <!nodoc>,
+ python3-sympy <!nodoc>,
+ python3-uncertainties (>= 3.2.2~),
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/lmfit-py
 Vcs-Git: https://salsa.debian.org/science-team/lmfit-py.git
 Homepage: https://lmfit.github.io/lmfit-py/
-Rules-Requires-Root: no
 
 Package: python3-lmfit
 Architecture: all
 Section: python
-Depends: ${misc:Depends}, ${python3:Depends}
-Suggests: python-lmfit-doc
+Depends:
+ python3-asteval (>= 1.0~),
+ python3-uncertainties (>= 3.2.2~),
+ ${misc:Depends},
+ ${python3:Depends},
+Suggests:
+ python-lmfit-doc,
 Description: Least-Squares Minimization with Constraints (Python 3)
  The lmfit Python package provides a simple, flexible interface to
  non-linear optimization or curve fitting problems. The package
@@ -89,8 +96,12 @@
 Package: python-lmfit-doc
 Architecture: all
 Section: doc
-Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
+Depends:
+ libjs-mathjax,
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Built-Using:
+ ${sphinxdoc:Built-Using},
 Multi-Arch: foreign
 Description: Least-Squares Minimization with Constraints (Documentation)
  The lmfit Python package provides a simple, flexible interface to

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,20 @@
 export PYBUILD_BEFORE_TEST=cp -r NIST_STRD examples {build_dir}
 export PYBUILD_AFTER_TEST=rm -fr {build_dir}/NIST_STRD {build_dir}/examples; find {build_dir} -name "*.sav" -delete
 
+export MPLCONFIGDIR=/var/tmp
+
 %:
 	dh $@ --buildsystem=pybuild
+
+override_dh_clean:
+	find . -name "*.pickle" -delete
+	rm -rf doc/examples
+	if [ -f lmfit/version.py.orig ] ; then mv lmfit/version.py.orig lmfit/version.py ; fi
+	dh_clean
+
+override_dh_auto_configure:
+	cp -a lmfit/version.py lmfit/version.py.orig
+	dh_auto_configure
 
 override_dh_installdocs-indep:
 	mv examples/example_emcee_Model_interface.py examples/nodoc_example_emcee_Model_interface.py

## lmfit-py 1.3.4

=== doc/Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 html:  gallery
 	cp sphinx/ext_mathjax.py extensions.py
 	$(SPHINXBUILD) -b html $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/html
+	./filter_spurious_link_from_html.py
 	@echo
 	@echo "html build finished: $(BUILDDIR)/html."
 
@@ -75,6 +76,7 @@
 	-rm -rf examples/*
 	-rm -rf ../examples/documentation
 	-rm -rf __pycache__
+	-rm -rf sg_execution_times.rst
 
 dirhtml:  gallery
 	$(SPHINXBUILD) -b dirhtml $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/dirhtml

=== debian/changelog ===
lmfit-py (1.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fixes FTBFS bug with SciPy 1.16. Closes: #1118038.
  * Minor changes to d/rules to fix clean target again.
  * Drop "Priority: optional" (it's the default).

 -- Santiago Vila <sanvila@debian.org>  Mon, 03 Nov 2025 13:20:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
  Picca Frédéric-Emmanuel <picca@debian.org>,
  Michael Hudson-Doyle <mwhudson@debian.org>,
 Section: science
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 ## Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+# export DH_VERBOSE=1
 
 export PYBUILD_NAME=lmfit
 
@@ -17,12 +17,7 @@
 override_dh_clean:
 	find . -name "*.pickle" -delete
 	rm -rf doc/examples
-	if [ -f lmfit/version.py.orig ] ; then mv lmfit/version.py.orig lmfit/version.py ; fi
 	dh_clean
-
-override_dh_auto_configure:
-	cp -a lmfit/version.py lmfit/version.py.orig
-	dh_auto_configure
 
 override_dh_installdocs-indep:
 	mv examples/example_emcee_Model_interface.py examples/nodoc_example_emcee_Model_interface.py
